package com.kingdee.eas.hr.project;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class MemberManagementEntryCollection extends AbstractObjectCollection 
{
    public MemberManagementEntryCollection()
    {
        super(MemberManagementEntryInfo.class);
    }
    public boolean add(MemberManagementEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(MemberManagementEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(MemberManagementEntryInfo item)
    {
        return removeObject(item);
    }
    public MemberManagementEntryInfo get(int index)
    {
        return(MemberManagementEntryInfo)getObject(index);
    }
    public MemberManagementEntryInfo get(Object key)
    {
        return(MemberManagementEntryInfo)getObject(key);
    }
    public void set(int index, MemberManagementEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(MemberManagementEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(MemberManagementEntryInfo item)
    {
        return super.indexOf(item);
    }
}